image: mcr.microsoft.com/dotnet/core/sdk:2.2

stages:
    - build
    - test
    - deploy

build:
    stage: build
    script:
        - "dotnet build"
    artifacts:
      paths:
        - bin/Debug/

test:
    stage: test
    script: 
        - "dotnet test"
        
deploy:
  stage: deploy
  script:
  - curl --location "https://cli.run.pivotal.io/stable?release=linux64-binary&source=github" | tar zx
  - ./cf login -u $CF_USERNAME -p $CF_PASSWORD -a api.run.pivotal.io
  - ./cf push

  only:
  - master